SIGNALTEST(8)

# SPDX-License-Identifier: GPL-2.0-only

NAME
signaltest - signal roundtrip test software

SYNOPSIS

signaltest [ -a|--affinity NUM] [ -b|--backtrace USEC ] [-D|--duration TIME] [-h|--help] [--json FILENAME] [-l|--loops LOOPS ] [-p|--prio PRIO] [-q|--quiet] [-S|--smp] [-t|--threads NUM] [-m|--mlockall ] [-v|--verbose ]

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes ('--').

-a, --affinity[=PROC-SET]
    Run threads on the set of processors given by PROC-SET. If PROC-SET is not specified, all processors will be used. Threads will be assigned to processors in the set in numeric order, in a round-robin fashion.
    The set of processors can be specified as A,B,C, or A-C, or A-B,D-F, and so on*. The ! character can be used to negate a set. For example, !B-D means to use all available CPUs except B through D. The cpu numbers are the same as shown in the processor field in /proc/cpuinfo. See numa(3) for more information on specifying CPU sets. * Support for CPU sets requires libnuma version >= 2. For libnuma v1, PROC-SET, if specified, must be a single CPU number.

-b, --breaktrace=USEC
    Send break trace command when latency > USEC

-D, --duration=TIME
    Specify a length for the test run.
    Append 'm', 'h', or 'd' to specify minutes, hours or days.

--help
    display usage information

--json=FILENAME
    Write final results into FILENAME, JSON formatted.

-l, --loops=LOOPS
    Number of loops: default=0 (endless)

-p, --priority=PRIO
    Priority of highest priority thread

-q, --quiet
    print a summary only on exit

\-S, --smp
    Set options for standard testing on SMP systems. Equivalent to using the options: "-t -a" as well keeping any specified priority equal across all threads

-t, --threads=NUM
    number of threads: default=2

-m, --mlockall
    lock current and future memory allocations

-v, --verbose
    output values on stdout for statistics
    format: n:c:v n=tasknum c=count v=value in us

AUTHOR
signaltest was written by Thomas Gleixner <tglx@linuxtronix.de>.

This manual page was originally written by
John Kacur <jkacur@redhat.com>

Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved. This file is offered as-is, without any warranty.